CREATE TABLE `user`
(
    `id`                varchar(32)     NOT NULL  COMMENT '用户编号',
    `user_name`          varchar(50) NOT NULL COMMENT '用户名',
    `password`          varchar(100)         DEFAULT NULL COMMENT '密码',
    `role`       tinyint(4)  NOT NULL DEFAULT '0' COMMENT '角色 0-普通用户 1-管理员',
    PRIMARY KEY (`id`),
    UNIQUE KEY `user_name` (`user_name`) USING BTREE,
    KEY `role` (`role`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='用户信息';


CREATE TABLE `record`
(
    `id`             varchar(32)   NOT NULL COMMENT '用户编号',
    `user_name`      varchar(50)   NOT NULL COMMENT '用户名',
    `file_type`      varchar(10)   NOT NULL COMMENT '文件类型',
    `file_path`      varchar(100)  NOT NULL COMMENT '文件路径',
    `file_url`       varchar(100)  NOT NULL COMMENT '文件网络路径',
    `result`         varchar(1000) COMMENT '结果',
    `create_time`    varchar(100)  NOT NULL COMMENT '创建时间',
    `update_time`    varchar(100)    COMMENT '创建时间',

    PRIMARY KEY (`id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='测试记录表';


